Skip to main content
GET
/
v1
/
settlement
/
status
/
{transferId}
Settlement status for a transfer
curl --request GET \
  --url https://api.getsly.ai/v1/v1/settlement/status/{transferId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "pending",
    "rail": "<string>",
    "amount": "<string>",
    "fee": "<string>",
    "rail_reference": "<string>",
    "settlement_window_id": "<string>",
    "expected_settlement": "2023-11-07T05:31:56Z",
    "actual_settlement": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Path Parameters

transferId
string<uuid>
required

Response

Status

data
object
required